﻿using Syncfusion.SfRotator.XForms;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace Rotator_sample
{
    internal class RotatorViewModel1
    {
        SfRotator rotate = new SfRotator();
        StackLayout sl1, sl2, sl3, sl4, sl5;
        public Entry entry1 = new Entry();
        public Entry entry2 = new Entry();
        public Entry entry3 = new Entry();


        Label label3;
        public RotatorViewModel1()
        {
           
            sl1 = new StackLayout();
            sl2 = new StackLayout();
            sl3 = new StackLayout();
            sl4 = new StackLayout();
            sl5 = new StackLayout();

            //Page 1
            sl1.Orientation = StackOrientation.Vertical;
            Label label1 = new Label();
            label1.Text = "Welcome";
            Label label2 = new Label();
            label2.Text = "Welcome to Syncfusion Software";                  
            sl1.Children.Add(label1);
            sl1.Children.Add(label2);
           

            //Page 2
            sl2.Orientation = StackOrientation.Vertical;
            StackLayout page2stack1 = new StackLayout();
            page2stack1.Orientation = StackOrientation.Horizontal;
            label3 = new Label();
            label3.Text = "Age:";           
            entry1.WidthRequest = 150;
            page2stack1.Children.Add(label3);
            page2stack1.Children.Add(entry1);
            sl2.Children.Add(page2stack1);

            StackLayout page2stack2 = new StackLayout();
            page2stack2.Orientation = StackOrientation.Horizontal;
            Label label4 = new Label();
            label4.Text = "First Name:";
            
            entry2.WidthRequest = 150;
            page2stack2.Children.Add(label4);
            page2stack2.Children.Add(entry2);
            sl2.Children.Add(page2stack2);

            StackLayout page2stack3 = new StackLayout();
            page2stack3.Orientation = StackOrientation.Horizontal;
            Label label5 = new Label();
            label5.Text = "Last Name:";
            Entry entry3 = new Entry();
            entry3.WidthRequest = 150;
            page2stack3.Children.Add(label5);
            page2stack3.Children.Add(entry3);

            Button btn2 = new Button();
            btn2.Text = "Click";
            btn2.Clicked += Btn2_Clicked;
            sl2.Children.Add(page2stack3);
            sl2.Children.Add(btn2);

            //Page3
            sl3.Orientation = StackOrientation.Vertical;
            StackLayout page3stack1 = new StackLayout();
            page3stack1.Orientation = StackOrientation.Vertical;
            Label label6 = new Label();
            label6.Text = "Select the options:";
            Button button1 = new Button();
            button1.Text = "Option1";
            Button button2 = new Button();
            button2.Text = "Option2";
            Button button3 = new Button();
            button3.Text = "Option3";
            page3stack1.Children.Add(label6);
            page3stack1.Children.Add(button1);
            page3stack1.Children.Add(button2);
            page3stack1.Children.Add(button3);
            sl3.Children.Add(page3stack1);

            //Page4
            sl4.Orientation = StackOrientation.Vertical;
            StackLayout page4stack2 = new StackLayout();
            page4stack2.Orientation = StackOrientation.Horizontal;
            var image = new Image { Source = "a0.png" };
            image.HeightRequest = 350;
            image.WidthRequest = 300;
            page4stack2.Children.Add(image);
            sl4.Children.Add(page4stack2);


            TestCollection.Add(new RotatorModel(sl1));
            TestCollection.Add(new RotatorModel(sl2));
            TestCollection.Add(new RotatorModel(sl3));
         

        }

        private  void Btn2_Clicked(object sender, EventArgs e)
        {
            if (((entry1.Text) == null) && ((entry2.Text) == null) && ((entry3.Text) == null))
            {
                Application.Current.MainPage.DisplayAlert("Alert", "please enter all the fields", "OK");
               
            }
            else
            {
                rotate.SelectedIndex = 2;
            }
        }


    
 

        private void Btn1_Clicked(object sender, EventArgs e)
        {
            
            rotate.SelectedIndex = 1;
        }

        private List<RotatorModel> testCollection = new List<RotatorModel>();

        public List<RotatorModel> TestCollection
        {
            get { return testCollection; }
            set { testCollection = value; }
        }
    }
    public class ViewModel
    {
        public List<Person> Data { get; set; }

        public ViewModel()
        {
            Data = new List<Person>()
            {
                new Person { Name = "David", Height = 180 },
                new Person { Name = "Michael", Height = 170 },
                new Person { Name = "Steve", Height = 160 },
                new Person { Name = "Joel", Height = 182 }
            };
        }
    }
    public class Person
    {
        public string Name { get; set; }

        public double Height { get; set; }
    }
}